RESTinio

Public Types | Static Public Member Functions | List of all members
restinio::easy_parser::result_value_wrapper< nothing_t > Struct Reference

`#include <easy_parser.hpp>`

## Public Types
using | result_type = nothing_t
using | value_type = nothing_t
using | wrapped_type = result_type

## Static Public Member Functions
static void | as_result (wrapped_type &, result_type &&) noexcept
static void | to_container (wrapped_type &, value_type &&) noexcept
static RESTINIO_NODISCARD result_type && | unwrap_value (wrapped_type &v)

## Detailed Description

Definition at line 430 of file easy_parser.hpp.

## Member Typedef Documentation

## ◆ result_type

using restinio::easy_parser::result_value_wrapper< nothing_t >::result_type = nothing_t

Definition at line 432 of file easy_parser.hpp.

## ◆ value_type

using restinio::easy_parser::result_value_wrapper< nothing_t >::value_type = nothing_t

Definition at line 433 of file easy_parser.hpp.

## ◆ wrapped_type

using restinio::easy_parser::result_value_wrapper< nothing_t >::wrapped_type = result_type

Definition at line 434 of file easy_parser.hpp.

## Member Function Documentation

## ◆ as_result()

static void restinio::easy_parser::result_value_wrapper< nothing_t >::as_result | ( | wrapped_type & | ,
|  | result_type && |
| ) |  |
| inline static noexcept

Definition at line 437 of file easy_parser.hpp.

## ◆ to_container()

static void restinio::easy_parser::result_value_wrapper< nothing_t >::to_container | ( | wrapped_type & | ,
|  | value_type && |
| ) |  |
| inline static noexcept

Definition at line 440 of file easy_parser.hpp.

## ◆ unwrap_value()

static RESTINIO_NODISCARD result_type && restinio::easy_parser::result_value_wrapper< nothing_t >::unwrap_value | ( | wrapped_type & | v | ) |
| inline static

Definition at line 444 of file easy_parser.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/easy_parser.hpp